<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Send_File StructType
 * @subpackage Structs
 */
class Send_File extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The FileSend
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\FileSend
     */
    public $FileSend;
    /**
     * Constructor method for Send_File
     * @uses Send_File::setLogin()
     * @uses Send_File::setFileSend()
     * @param \StructType\Login $login
     * @param \StructType\FileSend $fileSend
     */
    public function __construct(\StructType\Login $login = null, \StructType\FileSend $fileSend = null)
    {
        $this
            ->setLogin($login)
            ->setFileSend($fileSend);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Send_File
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get FileSend value
     * @return \StructType\FileSend|null
     */
    public function getFileSend()
    {
        return $this->FileSend;
    }
    /**
     * Set FileSend value
     * @param \StructType\FileSend $fileSend
     * @return \StructType\Send_File
     */
    public function setFileSend(\StructType\FileSend $fileSend = null)
    {
        $this->FileSend = $fileSend;
        return $this;
    }
}
